# cim_flutter_sdk

开源通讯库 [CIM](https://gitee.com/farsunset/cim) 的 flutter版本SDK

## 如何在自己的项目中引用SDK

在 pubspec.yaml 引入


```
dependencies:
  cim_flutter_sdk:^1.0.0
```

  
## 如何使用

```
import 'package:cim_flutter_sdk/cim_socket.dart';
...

final CIMSocket cimSocket = CIMSocket();

String Message = 'Unknown';

 cimSocket.init('127.0.0.1', 34567, 16501516154949);
      cimSocket.connect();
      cimSocket.addListener(() {
        if (cimSocket.model == null) return;
        setState(() {
          Message = cimSocket.model!.toProto3Json().toString();
        });
      });

...

    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Text('Message is: $Message\n'),
        ),
      ),
    );

```
